# Watchlists

## Subscribe to Сhanges in the List of Traders' Watchlists <a href="#watchlist-subscribe-shangesinthelistofwatchlist" id="watchlist-subscribe-shangesinthelistofwatchlist"></a>

| Parameter          | Value                                                          |
| ------------------ | -------------------------------------------------------------- |
| **Cmd**            | Subscribe.txt                                                  |
| **SessionId**      | Session ID from the authentication request                     |
| **Keys**           | The ID of the user whose watchlists you would like to retrieve |
| **EntityType**     | Watchlist                                                      |
| **HttpClientType** | WebSocket                                                      |

**Example:** {"Cmd":"Subscribe.txt", "SessionId":"7e83072e-09e7-43ed-91d5-f2b747bf162e", "Keys":"1159","EntityType":"Watchlist","HttpClientType":"WebSocket"}‌

## Unsubscribe from Сhanges in the List of Traders' Watchlists <a href="#watchlist-unsubscribe" id="watchlist-unsubscribe"></a>

| Parameter          | Value                                                                  |
| ------------------ | ---------------------------------------------------------------------- |
| **Cmd**            | Unsubscribe.txt                                                        |
| **SessionId**      | Session ID from the authentication request                             |
| **Keys**           | The ID of the user whose watchlists you would like to unsubscribe from |
| **EntityType**     | Watchlist                                                              |
| **HttpClientType** | WebSocket                                                              |

**Example:** {"Cmd":"Unsubscribe.txt", "SessionId":"7e83072e-09e7-43ed-91d5-f2b747bf162e", "Keys":"1159","EntityType":"Watchlist","HttpClientType":"WebSocket"}‌

## Message <a href="#watchlist-message" id="watchlist-message"></a>

In response to this request, you will receive the updated list of watchlists in the JSON format.‌

**Example:**&#x200C;

**{**&#x200C;

* "EntityType":"Watchlist"
* "id":"3013",
* "Key":"1159",
* "CreateDate":"09/08/2015 09:20:49",
* "ModifyDate":"09/08/2015 09:20:49",
* "Description":"",
* "IsDeleted":"True",
* "Name":"Stocks",
* "Type":"UserList",
* "UserId":"1159"

**}**&#x200C;

## Subscribe to the Content of a Specific Watchlist <a href="#watchlist-subscribe-contentofspecifiedwatchlist" id="watchlist-subscribe-contentofspecifiedwatchlist"></a>

| Parameter          | Value                                                                |
| ------------------ | -------------------------------------------------------------------- |
| **Cmd**            | Subscribe.txt                                                        |
| **SessionId**      | Session ID from the authentication request                           |
| **Keys**           | The ID of the watchlist whose changes you would like to subscribe to |
| **EntityType**     | WatchlistContent                                                     |
| **HttpClientType** | WebSocket                                                            |

**Example:** {"Cmd":"Subscribe.txt", "SessionId":"7e83072e-09e7-43ed-91d5-f2b747bf162e", "Keys":"287","EntityType":"WatchlistContent","HttpClientType":"WebSocket"}‌

## Unsubscribe from the Content of a Specific Watchlist <a href="#watchlist-subscribe-contentofspecifiedwatchlist-1" id="watchlist-subscribe-contentofspecifiedwatchlist-1"></a>

| Parameter          | Value                                                                    |
| ------------------ | ------------------------------------------------------------------------ |
| **Cmd**            | Unsubscribe.txt                                                          |
| **SessionId**      | Session ID from the authentication request                               |
| **Keys**           | The ID of the watchlist whose changes you would like to unsubscribe from |
| **EntityType**     | WatchlistContent                                                         |
| **HttpClientType** | WebSocket                                                                |

**Example:** {"Cmd":"Unsubscribe.txt", "SessionId":"7e83072e-09e7-43ed-91d5-f2b747bf162e", "Keys":"287","EntityType":"WatchlistContent","HttpClientType":"WebSocket"}‌

## Message <a href="#watchlist-message.1" id="watchlist-message.1"></a>

In response to this request, you will receive changes in the specified watchlist.‌

**Example:**&#x200C;

**{**&#x200C;

* "EntityType":"WatchlistContent",
* "Key":"287",
* "AddedSymbols":"680410",
* "RemovedSymbols":"null",

**}**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-documentation.autoshares.dev/rest-api/trading-api/streaming-data/watchlists.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
